Subtitle Composer

Video Apps

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

16
7 .9
Description:

A text-based subtitles editor.

Translators wanted:
If you want to help, translate the program into your language and send me the results.

Note for translators:
Please, before starting a translation make sure there isn't one for your language already (or if there is an unmaintained one).
Currently maintained translations include Brazilian Portuguese, Bulgarian, Czech, French, German, Italian, Russian, Serbian (Cyrillic and Latin), Spanish, Polish and Ukrainian. Greek and Hungarian translations are currently unmaintained.
Last changelog:

11 years ago

Version 0.5.3:
- added Czech, Brazilian Portuguese, Bulgarian, French and German translations contributed by Petr Gadula, Marcio P. Moraes, Petar Toushkov, Thomas Gastine and Panagiotis Papadopoulos respectively
and updated Spanish translation
- added Kross powered scripting interface with some basic examples in Ruby, Python and JavaScript
- added action to translate subtitles using Google translation services
- fixed many bugs including some that would crash the application
* selecting a file from the recently opened list could crash the application when using Qt 4.5
* video playback was completely broken with Qt 4.5
* bugs related to searching text and errors
* bugs related to undo/redo that could result in a crash
- other minor fixes, user interface changes and improvements

dsent

11 years ago

Hi. I've used KDE3 version of Subtitle Composer for quite a long time, so thanks for the good work!
To the bad news. Version 0.5.2 is almost unusable because of inability to show video with subtitles normally.
Gstreamer, Xine and Phonon backends lead to instant crash on video file opening. Mplayer backend is working sometimes but with heavy frame dropping, a/v desynchronizations and often (but not always) no subtitles show at all.
On the other hand, stand-alone mplayer works for the same videos like a charm with the same settings (vo, ao).
I'm using the package from Packman (openSUSE 11.1 x86_64, KDE 4.2).

Report

dsent

11 years ago

I've forgot to mention that version 0.4.3 is working great on the same machine.
Sorry for duplicate comment.

Report

goliashcz

11 years ago

I wrote the Czech translation of Subtitle Composer and I sent it to attendant. I hope it'll help spreading of such great application like Subtitle Composer :-)

Report

slsimic

12 years ago

What is gonna take to include Subtitle Composer into official KDE packages like kdemultimedia or extragear-multimedia?
Do we need to vote somewhere? Or you (author) need to apply to KDE guys? I would really like to see SubtitleComposer to come with official KDE releases, because this application really deserve it.

Report

AlexDusty

12 years ago

Yes, please tell us what to do to try to include this package into official KDE!

Report

C

attendant

12 years ago

thanks for the support, guys.
i think that one needs to apply (somehow) and then the applications gets reviewed and accepted or rejected. the idea of applying has crossed my mind but i haven't done anything about it yet. we'll see what the future brings.

Report

amigib

12 years ago

will there be any newer release for kde3 or it is dropped?

Report

C

attendant

12 years ago

only if there's need for a bug fix release.
if you know of any minor or mayor bugs, please report them (i'm no longer using/testing it).

Report

C

attendant

12 years ago

Just to be clear: I'm referring to the KDE3 branch. I'm (obviously) still using/testing/developing the KDE4 one.

Report

anubisg1

12 years ago

hi, what did i miss?

[ 42%] Building CXX object src/main/CMakeFiles/subtitlecomposer.dir/__/player/xine/xinevideolayerwidget.o
[ 43%] Building CXX object src/main/CMakeFiles/subtitlecomposer.dir/__/widgets/attachablewidget.o
[ 45%] Building CXX object src/main/CMakeFiles/subtitlecomposer.dir/__/widgets/layeredwidget.o
[ 46%] Building CXX object src/main/CMakeFiles/subtitlecomposer.dir/__/widgets/pointingslider.o
/usr/src/packages/BUILD/subtitlecomposer-0.5.2/src/widgets/pointingslider.cpp: In member function 'virtual void PointingSlider::mousePressEvent(QMouseEvent*)':
/usr/src/packages/BUILD/subtitlecomposer-0.5.2/src/widgets/pointingslider.cpp:59: warning: suggest parentheses around && within ||
[ 47%] Building CXX object src/main/CMakeFiles/subtitlecomposer.dir/__/widgets/simplerichtextedit.o
In file included from /usr/src/packages/BUILD/subtitlecomposer-0.5.2/src/widgets/simplerichtextedit.cpp:20:
/usr/src/packages/BUILD/subtitlecomposer-0.5.2/src/widgets/simplerichtextedit.h:60: warning: type qualifiers ignored on function return type
/usr/src/packages/BUILD/subtitlecomposer-0.5.2/src/widgets/simplerichtextedit.cpp: In constructor 'SimpleRichTextEdit::SimpleRichTextEdit(QWidget*)':
/usr/src/packages/BUILD/subtitlecomposer-0.5.2/src/widgets/simplerichtextedit.cpp:41: error: 'enableFindReplace' was not declared in this scope
/usr/src/packages/BUILD/subtitlecomposer-0.5.2/src/widgets/simplerichtextedit.cpp: At global scope:
/usr/src/packages/BUILD/subtitlecomposer-0.5.2/src/widgets/simplerichtextedit.cpp:179: warning: type qualifiers ignored on function return type
make[2]: *** [src/main/CMakeFiles/subtitlecomposer.dir/__/widgets/simplerichtextedit.o] Error 1
make[1]: *** [src/main/CMakeFiles/subtitlecomposer.dir/all] Error 2
make: *** [all] Error 2

Report

C

attendant

12 years ago

seems like you're using a version of KDE older than 4.1 (the version in which enableFindReplace(bool) function was added).
please, remove line 44 in src/widgets/simplerichtextedit.cpp and tell me if that solves your problem.

Report

anubisg1

12 years ago

indeed it is...

suse 11.0 provided with kde 4.0.4

on packman repository we can use, because of our policies, only OSS and UPDATE repository, without addind others, that means i cannot add kde4 repository... and i must use kde 4.0.4 headers...

any way it does not fix it...

i will build it only on suse 11.1 that provides kde 4.1.3

Report

anubisg1

12 years ago

kde4 subtitle composer is available here for suse:

http://packman.links2linux.org/package/kde4-subtitlecomposer

the kde3 instead, in the same link you yet have

Report

NoRegret

12 years ago

Wonderful!!!

Report

squall38

12 years ago

This is by far the best subtitle editor on Linux I've tried. Thanks a ton for that and keep up the good work.
Something I noticed: seems like I'm unable to select the translation as subtitle stream. It just keeps showing the original subtitles.

Report

C

attendant

12 years ago

glad you like it! i've already fixed many things for next version and i'll make sure to check this too (btw, knowing if you're using version 0.4.3 or 0.5.1 might help).
i don't have much time right know, but hopefully i'll be able to release a new version in 2 or 3 weeks.

Report

squall38

12 years ago

Wow, sounds great. Now it'll be difficult to wait for the new version ;)

I'm using 0.5.1 of course.

Report

atilla

12 years ago

Hi, i compiled and installed 0.5.1 version on Mandriva 2009.0 Cooker. It works well, but it can't show human readeble subtitles, checked almost all font types in settings but it still shows weird characters. Can anybody help me? Thanks...

Report

atilla

12 years ago

Also i noticed that it shows (I18N_ARGUMENT_MISSING) warning box. What is that mean?

Mandriva 2009.0 Cooker, Subtitlecomposer v. 0.5.1, MPlayer v.1.0-1.rc2

Report

atilla

12 years ago

And also, it doesn't play second audio with dual audio avis.

Report

boogeyman

12 years ago

Hi 0.43 user here!
I have ssa subtitle files formatted like this.
Dialogue: Marked=0,0:01:25.50,0:01:30.42,MainT,,0000,0000,0000,!Effect,{\q2\a2}{\c&HFFFFFF&}content\n{\c&HFFFFFF&}content.

Well it dosen't work for them. While it plays correctly in MPlayer.


I like the interface though!

Report

C

attendant

12 years ago

send me the subtitle and i'll see what's wrong.

Report

anubisg1

12 years ago

on 0.4.3 tarball configure is missing and autoreconf does not works.. an autogen script is missing too

how can i generate the configure?

thanks

Report

C

attendant

12 years ago

man, do i suck at releases or what... i'll have a look at the missing configure issue. on another more embarrassing note, i've found a bug annoying (and close to release) enough to make me fix it and repackage everything. i have to wait for sourceforge to (really) remove the old files from the servers before uploading everything again but i'll do it ASAP. sorry for the inconveniences.

Report

anubisg1

12 years ago

can you tell me witch file exactly cmake check searching for xine and gstreamer?

xine is detected on my sistem but not on my "rpm build chroot"

gstreamer instead is never detected...

thanks

Report

11 years ago

Version 0.5.3:
- added Czech, Brazilian Portuguese, Bulgarian, French and German translations contributed by Petr Gadula, Marcio P. Moraes, Petar Toushkov, Thomas Gastine and Panagiotis Papadopoulos respectively
and updated Spanish translation
- added Kross powered scripting interface with some basic examples in Ruby, Python and JavaScript
- added action to translate subtitles using Google translation services
- fixed many bugs including some that would crash the application
* selecting a file from the recently opened list could crash the application when using Qt 4.5
* video playback was completely broken with Qt 4.5
* bugs related to searching text and errors
* bugs related to undo/redo that could result in a crash
- other minor fixes, user interface changes and improvements

12345678910
10
product-maker jolugaju Jul 30 2018 9 excellent
Everything okay but one simple thing: I can't hide the Video Player or the Waveform.
product-maker alex-l Oct 17 2016 9 excellent
product-maker dubious Oct 27 2015 9 excellent
product-maker purplehuman Oct 17 2015 9 excellent
product-maker ArneBab May 27 2015 9 excellent
product-maker Etemenanki Mar 04 2012 9 excellent
product-maker fsmonteiro Apr 11 2011 9 excellent
product-maker LazyKent Feb 08 2011 9 excellent
product-maker Kosava Jan 16 2011 9 excellent
product-maker Vytax Oct 13 2010 9 excellent
Be the first to comment
bialyikar
Jan 27 2015
maxrd2
Nov 24 2013
AlmaTlust
May 15 2012
Etemenanki
Mar 04 2012
hteles
Dec 30 2010
rvernucio
Aug 31 2010
squall38
Aug 05 2010
AndreAPL
May 09 2010
AlexDusty
Feb 22 2010
giricz81
Dec 10 2009
KopiasCsaba
Jun 17 2009
brdn25
May 30 2009
YAFU
May 25 2009
mononoke
Mar 10 2009
adundovi
Mar 01 2009
pvt14
Jan 02 2009
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.5.3
updated May 25 2009
added Nov 15 2007
downloads 24h
0
mediaviews 24h 0
pageviews 24h 14
System Tags app software